=== debian/changelog ===
ros-indigo-find-object-2d (0.5.1-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Mon, 09 Mar 2015 15:30:15 -0000
